> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vertgroup.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.vertgroup.com.br/openapi.json get /automations/{automation_id}
openapi: 3.1.0
info:
  title: SGG Automation — DOM Med
  version: 1.0.0
servers: []
security: []
paths:
  /automations/{automation_id}:
    get:
      tags:
        - 01.Automation
      summary: Get
      operationId: get_automations__automation_id__get
      parameters:
        - name: automation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Automation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomationDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AutomationDetailResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        sector:
          $ref: >-
            #/components/schemas/app__modules__automation__application__schemas__response__SectorResponse
        parameters:
          items:
            $ref: '#/components/schemas/AutomationParameterDTO'
          type: array
          title: Parameters
        context_schema:
          type: object
          title: Context Schema
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        max_concurrent_jobs:
          type: integer
          title: Max Concurrent Jobs
        is_active:
          type: boolean
          title: Is Active
        is_development:
          type: boolean
          title: Is Development
        worker:
          anyOf:
            - $ref: '#/components/schemas/WorkerDetailResponse'
            - type: 'null'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - slug
        - sector
        - parameters
        - context_schema
        - description
        - max_concurrent_jobs
        - is_active
        - is_development
        - worker
        - created_at
      title: AutomationDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__modules__automation__application__schemas__response__SectorResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        color:
          type: string
          title: Color
      type: object
      required:
        - id
        - name
        - color
      title: SectorResponse
    AutomationParameterDTO:
      properties:
        name:
          type: string
          minLength: 1
          pattern: ^[a-z][a-z0-9_]*$
          title: Name
        type:
          $ref: '#/components/schemas/ParameterType'
        description:
          type: string
          title: Description
          default: ''
      type: object
      required:
        - name
        - type
      title: AutomationParameterDTO
    WorkerDetailResponse:
      properties:
        cloud_instance_id:
          type: string
          title: Cloud Instance Id
        status:
          $ref: '#/components/schemas/WorkerStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - cloud_instance_id
        - status
        - created_at
      title: WorkerDetailResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ParameterType:
      type: string
      enum:
        - text
        - drive_file
        - drive_folder
        - sgg_client_list
      title: ParameterType
    WorkerStatus:
      type: string
      enum:
        - stopped
        - running
      title: WorkerStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````